# azure.mgmt.marketplaceordering.operations module

class `azure.mgmt.marketplaceordering.operations.``MarketplaceAgreementsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  MarketplaceAgreementsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables:

  - api_version – The API version to use for the request. Constant value: “2015-06-01”.
  - offer_type – Offer Type, currently only virtualmachine type is supported. Constant value: “virtualmachine”.

  `cancel`(publisher_id, offer_id, plan_id, custom_headers=None, raw=False, **operation_config)

    Cancel marketplace terms.

    Parameters:

    - publisher_id (str) – Publisher identifier string of image being deployed.
    - offer_id (str) – Offer identifier string of image being deployed.
    - plan_id (str) – Plan identifier string of image being deployed.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AgreementTerms or ClientRawResponse if raw=true
    Return type: | AgreementTerms or ClientRawResponse
    Raises: | `ErrorResponseException`

  `create`(publisher_id, offer_id, plan_id, parameters, custom_headers=None, raw=False, **operation_config)

    Save marketplace terms.

    Parameters:

    - publisher_id (str) – Publisher identifier string of image being deployed.
    - offer_id (str) – Offer identifier string of image being deployed.
    - plan_id (str) – Plan identifier string of image being deployed.
    - parameters (AgreementTerms) – Parameters supplied to the Create Marketplace Terms operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AgreementTerms or ClientRawResponse if raw=true
    Return type: | AgreementTerms or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get`(publisher_id, offer_id, plan_id, custom_headers=None, raw=False, **operation_config)

    Get marketplace terms.

    Parameters:

    - publisher_id (str) – Publisher identifier string of image being deployed.
    - offer_id (str) – Offer identifier string of image being deployed.
    - plan_id (str) – Plan identifier string of image being deployed.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AgreementTerms or ClientRawResponse if raw=true
    Return type: | AgreementTerms or ClientRawResponse
    Raises: | `CloudError`

  `get_agreement`(publisher_id, offer_id, plan_id, custom_headers=None, raw=False, **operation_config)

    Get marketplace agreement.

    Parameters:

    - publisher_id (str) – Publisher identifier string of image being deployed.
    - offer_id (str) – Offer identifier string of image being deployed.
    - plan_id (str) – Plan identifier string of image being deployed.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AgreementTerms or ClientRawResponse if raw=true
    Return type: | AgreementTerms or ClientRawResponse
    Raises: | `CloudError`

  `list`(custom_headers=None, raw=False, **operation_config)

    List marketplace agreements in the subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | list or ClientRawResponse if raw=true
    Return type: | list[AgreementTerms] or ClientRawResponse
    Raises: | `CloudError`

  `sign`(publisher_id, offer_id, plan_id, custom_headers=None, raw=False, **operation_config)

    Sign marketplace terms.

    Parameters:

    - publisher_id (str) – Publisher identifier string of image being deployed.
    - offer_id (str) – Offer identifier string of image being deployed.
    - plan_id (str) – Plan identifier string of image being deployed.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AgreementTerms or ClientRawResponse if raw=true
    Return type: | AgreementTerms or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.marketplaceordering.models' from '/usr/lib/python3/dist-packages/azure/mgmt/marketplaceordering/models/__init__.py'>

class `azure.mgmt.marketplaceordering.operations.``Operations`(client, config, serializer, deserializer)

  Bases: `object`

  Operations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version to use for the request. Constant value: “2015-06-01”.

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists all of the available Microsoft.MarketplaceOrdering REST API operations.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Operation
    Return type: | OperationPaged[Operation]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.marketplaceordering.models' from '/usr/lib/python3/dist-packages/azure/mgmt/marketplaceordering/models/__init__.py'>